Witamy

>> Pomoc dla użytkowników systemu asix - wersji 6

www.asix.com.pl

AslView -

Wizualizacja i diagnostyka połączeń sieciowych systemu asix

Dok. Nr PLH6017

Wersja: 25-01-2010


1 Przeznaczenie programu AslView

Program AslView służy do wizualizacji i diagnostyki połączeń sieciowych systemu asix. Program AslView pozwala połączyć się z modułem sieciowym ASLINK systemu asix, pracującym na lokalnej lub zdalnej stacji oraz obserwację stanu połączeń nawiązywanych przez inne komponenty systemu asix - jak ASMEN i ASPAD, a także obserwację stanu synchronizacji czasu z innymi stacjami. Za pośrednictwem programu AslView możliwe jest również parametryzowanie działania modułu sieciowego ASLINK.


2 Uruchamianie programu AslView

AslView może być uruchamiany za pośrednictwem innych komponentów systemu asix. Można go również uruchomić wykonując komendę:

AslView

Jeśli system asix był uruchomiony w chwili wykonania tej komendy, to nastąpi przyłączenie programu AslView do modułu sieciowego ASLINK. Program AslView wymaga zawsze połączenia z modułem sieciowym ASLINK (lokalnym lub na zadalnej stacji), aby była możliwa wizualizacja połączeń sieciowych. Jeśli system asix nie był wcześniej uruchomiony, to należy podać opcję /ASLINK. Nastąpi wtedy uruchomienie oraz inicjalizacja modułu sieciowego ASLINK. Moduł sieciowy jest wówczas wykorzystywany przez program AslView do lokalizacji innych stacji sieciowych. Ten sposób uruchamiania wykorzystuje się w sytuacji, gdy dana stacja wykorzystywana jest w danym momencie tylko do diagnostyki innych stacji. Chociaż system asix można uruchomić w czasie, gdy jest już aktywny AslView, należy jednak wtedy pamiętać, że moduł sieciowy został już zainicjalizowany w chwili uruchomienia AslView, w oparciu o parametry, które mogą się różnić od tych zawartych w pliku inicjalizacyjnym aplikacji.

Uruchamiając program AslView można jako parametr podać nazwę zdalnej stacji:

AslView nazwa_stacji

Jako nazwę stacji należy podać nazwę taką, jaka została nadana stacji w ustawieniach sieciowych systemu operacyjnego (Panel kontrolny/Sieć). Można również podać adres internetowy w formie liczbowej:

AslView 200.200.200.4

lub w formie adresu symbolicznego:

AslView asix.askom.com.pl

Tak uruchomiony AslView próbuje nawiązać połączenie ze zdalną stacją o adresie określonym parametrem nazwa_stacji. Program AslView uruchomiony w tym trybie nie wykorzystuje lokalnie modułu sieciowego (o ile nie nastąpi późniejsze przyłączenie).

Jeżeli przyłączenie do modułu sieciowego zakończy się pomyślnie, to zostanie otwarte główne okno programu AslView prezentujące ogólne informacje o stacji.

W danej chwili może być uruchomionych wiele programów AslView. Do jednego modułu sieciowego może być przyłączonych wiele programów AslView.

Program AslView może być również uruchamiany automatycznie w czasie uruchamiania modułu sieciowego ASLINK, jeśli został on odpowiednio sparametryzowany (patrz: diagnostyka).


3 Wymagania systemowe

Program AslView wymaga około 6 MB pamięci operacyjnej. Do tego należy doliczyć około 1 MB na każdą stację, do której program AslView jest przyłączony (w tym stację lokalną).

Do połączenia ze zdalnymi stacjami wykorzystywany jest protokół DCOM.

W systemach operacyjnymi Windows NT/2000 oprogramowanie DCOM jest składnikiem systemu operacyjnego.


4.1.1 Okno stacji

Okno stacji jest głównym oknem programu AslView i przedstawia ogólne informacje o stacji:

  • informacje o wersji modułu sieciowego ASLINK i wersji systemu operacyjnego;

  • czas uruchomienia stacji oraz czas bieżący stacji;

  • ilość danych nadanych, odebranych, ilość operacji sieciowych, ilość błędów oraz średnie wartości szybkości transmisji;

  • nazwy innych stacji sieciowych znanych modułowi sieciowemu ASLINK oraz nazwy klientów i serwerów obsługiwanych przez moduł sieciowy wraz z ich połączeniami (drzewo stacji, klientów i serwerów);

  • komunikaty wyprowadzane przez moduł sieciowy oraz komunikaty wyprowadzane przez program AslView (okno komunikatów);

  • graficzna reprezantacja średniej szybkości transmisji (graf średniej szybkości transmisji).

Ilość danych wysłanych i odebranych wyrażona jest w bajtach oraz pakietach (zbiór bajtów wysłany lub odebrany za pomocą jednej operacji sieciowej modułu ASLINK).

Rysunek: Okno stacji.

Nagłówek okna zawiera nazwę stacji oraz nazwę grupy (w nawiasach) stacji, do której należy dana stacja. Okno zawiera również informację o nazwie komputera zdefiniowanej w ustawieniach sieciowych systemu Windows. Nazwa stacji, jaką posługuje się moduł sieciowy ASLINK oraz nazwa komputera w systemie Windows nie są takie same. W przypadku przyłączania programu AslView do innych stacji w sieci należy zawsze podawać nazwę komputera w systemie Windows (patrz: Okno łączenia ze stacją).

Po prawej stronie okna, powyżej okna komunikatów znajduje się znacznik połączenia programu AslView z modułem sieciowym ASLINK.

W chwili zamykania okna, jego położenie oraz rozmiar zapisywane są w rejestrze systemowym. Powtórne otwarcie okna związanego z daną stacją powoduje odtworzenie tych wartości.

UWAGA:

Jeśli brak jest połączenia z modułem sieciowym ASLINK, to okno stacji przedstawia ostatnio odczytany stan stacji.


4.1.2 Drzewo stacji, klientów i serwerów

Lewą stronę okna stacji zajmuje drzewo stacji, klientów i serwerów.

W górnej części drzewa znajdują się stacje sieciowe znane modułowi ASLINK. Jeżeli stacja jest w danej chwili aktywna, to jej nazwa poprzedzona jest symbolem [image]. Nazwy stacji nieaktywnych tj. takich, na których wyłączono aplikację asix oznaczone są symbolem [image].

Poniżej stacji wymienione są w kolejności alfabetycznej, wszystkie klienty i serwery obsługiwane przez moduł sieciowy. Klienty oznaczone są symbolem [image], a serwery [image].

Z każdym klientem może być związane jedno połączenie z serwerem znajdującym się na tej samej lub zdalnej stacji. Z każdym serwerem może być związanych wiele połączeń z klientami znajdującymi się na tej samej lub zdalnej stacji. Połączenia umieszczane są na oddzielnych gałęziach drzewa powiązanych z odpowiednim serwerem lub klientem. W nawiasach, obok nazwy zdalnego partnera podana jest nazwa stacji, na której on się znajduje. Jeśli nazwa zdalnej stacji nie jest jeszcze znana, to pole pomiędzy nawiasami jest puste. W przypadku serwerów, połączenia grupowane według nazwy stacji, na której znajduje się klient. Każda taka stacja zajmuje oddzielną gałąź połączoną z serwerem. Obok nazwy stacji podana jest w nawiasach ilość klientów stacji połączonych z danym serwerem. Z kolei, z każdą gałęzią stacji powiązane są gałęzie klientów.

Przykład gałęzi klienta.

Powyższa ilustracja przedstawia klienta o nazwie „Klient1" połączonego z serwerem o nazwie „Serwer" znajdującym się na komputerze o nazwie „Stacja2".

Przykład gałęzi serwera.

Powyższa ilustracja przedstawia serwer o nazwie „Serwer1" połączony z dwoma klientami o nazwach Klient1 i Klient2 znajdującymi się na komputerze o nazwie „Stacja2".

Przed nazwą zdalnego partnera połączenia znajduje się symbol obrazujący stan połączenia:

brak połączenia; nazwa zdalnego partnera i nazwa stacji to dane o poprzednio nawiązanym połączeniu. Jeżeli poprzednim stanem było szukanie serwera to obok symbolu podana jest nazwa szukanego serwera;

klient jest w stanie szukania serwera; symbol pojawia się tylko wtedy, gdy są wysyłane zapytania o serwery; operacja taka jest krótkotrwała; w związku z tym symbol będzie się rzadko pojawiać;

trwa faza nawiązywania połączenia;

połączenie jest nawiązane;

trwa faza rozwiązywania połączenia.

Podwójne kliknięcie myszką na aktywnej stacji spowoduje otwarcie okna informacyjne stacji.

Podwójne kliknięcie myszką na kliencie lub serwerze spowoduje otwarcie okna klienta/serwera.

Podwójne kliknięcie myszką na połączeniu spowoduje otwarcie okna połączenia.

UWAGA:

Drzewo zawiera tylko stacje należące do tej samej grupy stacji, do której należy stacja i do której przyłączony jest program AslView, tj. stacje o tej samej nazwie grupy. Przyłączenie do stacji z innych grup można uzyskać wykonując komendę Połącz z.. głównego menu programu AslView (podmenu Plik) programu AslView.

UWAGA:

Jeśli moduł sieciowy obsługuje wiele protokołów sieciowych (adapterów logicznych), to drzewo stacji, klientów i serwów może zawierać wielokrotne wystąpienia tej samej stacji. Otwierając okno informacyjne stacji można uzyskać informacje na temat adaptera sieciowego, za pomocą którego odebrano zgłoszenie o istnieniu tej stacji.

UWAGA:

Stacje pracujące pod kontrolą modułu ASLINK w wersji niższej niż 5.00.00 mogą być zawsze pokazywane jako aktywne. Obecność stacji w sieci wykrywana jest na podstawie odbieranych z sieci pakietów datagramowych, które w sytuacji dużego ruchu mogą ulegać zagubieniu. W związku z tym drzewo stacji nie zawsze może pokazywać wszystkie stacje obecne w sieci. W menu głównym (podmenu Narzędzia) programu AslView znajduje się komenda szukaj stacje, która powoduje rozgłoszenie zapytania o wszystkie stacje obecne w sieci. Wykonanie tej komendy może pomóc w zlokalizowaniu stacji aktywnych, które nie występują w drzewie stacji. Rozgłaszanie tego zapytania dotyczy tylko stacji pracujących pod kontrolą modułu sieciowego ASLINK w wersji równej lub wyższej 5.0.0.


4.1.3 Menu kontekstowe drzewa stacji, klientów i serwerów

Menu zawiera następujące pozycje:

połącz – pozycja jest aktywna gdy zaznaczona jest aktywna stacja; wybranie powoduje połączenie ze wskazaną stacją i otwarcie okna stacji;

pokaż – jeśli zaznaczona jest stacja to zostanie otwarte okno informacyjne stacji; jeśli zaznaczony jest klient lub serwer to zostanie otwarte okno klienta/serwera; jeśli zaznaczone jest połączenie pomiędzy klientem i serwerem to zostanie otwarte okno połączenia;

usuń – jeśli zaznaczona jest nieaktywna stacja, to zostanie ona usunięta z drzewa;

odśwież – wybranie tej pozycji spowoduje odświeżenie zawartości drzewa.


4.1.4 Okno komunikatów

Dolną część okna stacji zajmuje okno komunikatów.

Rysunek: Okno komunikatów.

Okno komunikatów zawiera komunikaty wyprowadzane przez moduł sieciowy ASLINK oraz przez program AslView. Większość komunikatów opatrzona jest czasem, w którym zaistniało związane z komunikatem zdarzenie. Format wyświetlanego czasu można ustalić za pomocą komendy Format czasu... w podmenu Ustawienia lub za pomocą takiej samej komendy menu kontekstowego okna komunikatów. Ilość informacji wyprowadzanych do okna komunikatów zależy od parametryzacji diagnostyki modułu sieciowego ASLINK oraz parametryzacji zbierania danych programu AslView.


4.1.5 Graf średniej szybkości transmisji

Prawą górną część okna stacji zajmuje graf średniej szybkości transmisji.

Rysunek: Graf średniej szybkości transmisji.

Graf pokazuje sumę ilości bajtów nadanych i odebranych w ciągu ostatniej minuty w przeliczeniu na jedną sekundę. Wyniki najbardziej zbliżone do rzeczywistości pokazywane są, gdy czas zbierania danych pomiarowych wynosi przynajmniej jedną minutę. Umieszczając wskaźnik myszy nad grafem można odczytać, z pojawiającego się wtedy pola, zakres osi pionowej wykresu. Zakres osi pionowej jest dynamicznie wyznaczany w taki sposób, aby graf pomieścił wszystkie wartości szybkości transmisji. Poniżej grafu podana jest aktualna wartość średniej szybkości transmisji.


4.2 Okno klienta/serwera

Okno jest otwierane poprzez wybranie odpowiedniej komendy w menu okna stacji (Plik/Pokaż...), menu kontekstowego drzewa stacji klientów i serwerów (Pokaż...) lub poprzez podwójne kliknięcie myszką odpowiedniej pozycji na drzewie stacji, klientów i serwerów.

Rysunek: Okno klienta/serwera.

Okno klienta/serwera przedstawia bieżący stan klienta lub serwera modułu sieciowego ASLINK:

  • nazwa klienta/serwera (na ilustracji „Klient");

  • czas zainstalowania klienta/serwera;

  • bieżący czas stacji;

  • ilość danych wysłanych/odebranych wyrażona w bajtach i pakietach;

  • ilość błędów sieciowych nadawczych;

  • ilość błędów API – błędy te świadczą o niepoprawnej współpracy klienta/serwera z modułem sieciowym ASLINK;

  • ilość sytuacji, w których klient/serwer nie miał wolego miejsca na odbiór danych („brak buforów);

  • ilość pakietów (Callback) otrzymanych przez klienta/serwera (ilość pakietów otrzymanych przez klienta/serwera nie jest równa ilości pakietów odebranych z sieci – niektóre pakiety są przekazywane klientowi/serwerowi przez moduł ASLINK (np. LINK_STATE));

  • ilość pakietów wysłanych/odebranych z podziałem na poszczególne typy pakietów.

Okno klienta/serwera zawiera również okno historii połączeń, graf średniej szybkości transmisji oraz znacznik połączenia programu AslView z modułem sieciowym ASLINK.


4.2.2 Graf średniej szybkości transmisji

Prawą górną część okna klienta/serwera zajmuje graf średniej szybkości transmisji.

Rysunek: Graf średniej szybkości transmisji.

Graf pokazuje sumę ilości bajtów nadanych i odebranych w ciągu ostatniej minuty w przeliczeniu na jedną sekundę. Wyniki najbardziej zbliżone do rzeczywistości pokazywane są, gdy czas zbierania danych pomiarowych wynosi przynajmniej jedną minutę. Umieszczając wskaźnik myszy nad grafem można odczytać, z pojawiającego się wtedy pola, zakres osi pionowej wykresu. Zakres osi pionowej jest dynamicznie wyznaczany w taki sposób, aby graf pomieścił wszystkie wartości szybkości transmisji. Poniżej grafu podana jest aktualna wartość średniej szybkości transmisji.


4.3.1 Parametry ogólne

Okno parametrów ogólnych jest zakładką okna parametryzacji modułu sieciowego ASLINK.

Rysunek: Parametry ogólne.

Zakładka pozwala zmienić następujące parametry:

  • nazwa stacji,

  • nazwa grupy,

  • wykorzystywane przez moduł sieciowy adaptery logiczne,

  • adaptery wykorzystywane do lokalizacji serwerów,

  • timeout nadawczy połączeń sesyjnych,

  • timeout odbiorczy połączeń sesyjnych,

  • sumaryczna ilość buforów przeznaczonych do odbioru pakietów datagramowych (pula buforów dzielona jest na poszczególne adaptery),

  • sumaryczna ilość buforów przeznaczonych do odbioru pakietów sesyjnych (pula buforów dzielona jest na poszczególne adaptery),

  • filtry nazw stacji sieciowych – połączenia ze stacjami, których nazwy nie odpowiadają podanym filtrom nie będą możliwe,

  • zezwolenie na zapis plików znajdujących się na lokalnej stacji a realizowany na żądanie zdalnych stacji,

  • ukrywanie plików – jeśli pole jest zaznaczone to dostęp do lokalnego pliku za pośrednictwem zdalnych stacji jest całkowicie zabroniony,

  • obsługa modułów sieciowych w wersji mniejszej niż 5.00.00 – jeśli pole nie jest zaznaczony to połączenia ze stacjami pracującymi pod kontrolą takich modułów sieciowych nie będą możliwe.

Poszczególne adaptery oraz filtry należy oddzielać przecinkami.

Obok niektórych pól umieszczone są przyciski pozwalające dokonać zmiany parametru za pomocą odpowiedniego okna dialogowego:

  • przycisk obok pola wykorzystywanych adapterów powoduje otwarcie okna wykorzystywanych adapterów,

  • przycisk obok pola adapterów dla szukania serwerów powoduje otwarcie okna adapterów dla szukania serwerów,

  • przycisk obok pola filtrów powoduje otwarcie okna filtrów.

UWAGA:

Tylko następujące parametry mogą być zmieniane dynamicznie w obecnej wersji modułu sieciowego (5.00.000): filtry, ukrywanie plików oraz zezwolenie na zapis do plików. Parametry dotyczące timeot’ów mogą być zmieniane dynamicznie, ale zmiany będą miały znaczenie tylko dla nowo nawiązywanych sieciowych połączeń sesyjnych.

UWAGA:

Zezwolenie na zapis plików oraz ukrywanie plików nie dotyczy zapisu w pliku inicjalizacyjnym dokonywanego przez program AslView. Parametry te dotyczą operacji plikowych realizowanych przez system asix.


4.3.2 Okno listy filtrów

Okno listy filtrów jest otwierane po przyciśnięciu przycisku filtrów na zakładce parametrów ogólnych okna parametrów modułu sieciowego ASLINK.

Rysunek: Okno listy filtrów.

Okno służy do wprowadzania filtrów. Aby usunąć filtr należy zaznaczyć go, a następnie wykonać komendę Usuń. Aby umieścić nowy filtr na liście należy wprowadzić go do pola ponad przyciskami i wykonać komendę Dodaj. Zawartość pola ponad przyciskami jest inicjowane filtrem zaznaczonym na liście.


4.3.4 Okno adapterów dla szukania serwerów

Okno adapterów wykorzystywanych przez moduł sieciowy ASLINK do poszukiwania serwerów znajdujących się na innych stacjach sieciowych jest otwierane po przyciśnięciu przycisku adapterów na zakładce parametrów ogólnych okna parametrów modułu sieciowego ASLINK.

Rysunek: Okno adapterów dla szukania serwerów.

Okno pozwala wybrać adaptery wykorzystywane przez moduł sieciowy ASLINK do poszukiwania serwerów. Jeśli jakieś adaptery były już wcześniej wybrane, to po otwarciu okna będą zaznaczone.

UWAGA:

Okno zawiera tylko adaptery wykorzystywane przez moduł sieciowy (patrz: 4.3.3. okno wykorzystywanych adapterów).


4.3.5 Synchronizacja czasu

Okno parametrów synchronizacji czasu jest zakładką okna parametryzacji modułu sieciowego ASLINK.

Rysunek: Okno parametrów synchronizacji czasu.

Zakładka pozwala sparametryzować moduł sieciowy ASLINK w zakresie synchronizacji czasu. Aby dana stacja pełniła funkcję serwera czasu, należy zaznaczyć pole Stacja jest serwerem czasu. Po zaznaczeniu tego pola można wprowadzić parametry pracy stacji jako serwer czasu tj. priorytet oraz interwał czasowy, z jakim nadawane są pakiety czasu.

Pozostałe parametry dotyczą pracy stacji jako klienta innych serwerów czasu. Zaznaczenie pola Bez synchronizacji spowoduje, że zegar stacji nie będzie synchronizowany z innymi stacjami. Jeśli stacja ma synchronizować swój czas z innymi stacjami, to należy podać maksymalną różnicę pomiędzy czasem lokalnym stacji a czasem zdalnego serwera czasu, której przekroczenie spowoduje ustawienie zegara. Jeśli pole Serwery czasu jest puste, to stacja będzie korzystać z dowolnego, dostępnego w danej chwili serwera czasu. Zbiór serwerów czasu z których ma korzystać stacja można ograniczyć podając ich nazwy w polu Serwery czasu. Nazwy serwerów należy oddzielać przecinkiem. Można również skorzystać z okna serwerów czasu przyciskając umieszczony obok pola serwerów przycisk.

Pole Replikacja czasu należy zaznaczyć, jeśli stacja wykorzystuje więcej niż jeden adapter sieciowy i pakiety czasu otrzymane na jednym adapterze mają być przesyłane do innych adapterów.

Wszystkie parametry związane z synchronizacją czasu mogą być zmieniane dynamicznie, w czasie pracy modułu sieciowego ASLINK.


4.3.6 Okno listy serwerów czasu

Okno listy filtrów jest otwierane po przyciśnięciu przycisku filtrów na zakładce parametrów synchronizacji czasu okna parametrów modułu sieciowego ASLINK.

Rysunek: Okno listy serwerów czasu.

Okno serwerów czasu służy do wprowadzania nazw serwerów, z którymi stacja może synchronizować swój czas. Aby usunąć nazwę serwera czasu należy zaznaczyć ją na liście, a następnie wykonać komendę Usuń. Aby umieścić nowy serwer na liście należy wprowadzić go do pola ponad przyciskami i wykonać komendę Dodaj. Zawartość pola ponad przyciskami jest inicjowane nazwą zaznaczoną na liście.


4.3.7 Diagnostyka

Okno parametrów diagnostycznych jest zakładką okna parametryzacji modułu sieciowego ASLINK.

Rysunek: Okno parametrów diagnostycznych.

Zakładka umożliwia kontrolę informacji diagnostycznych wyprowadzanych przez moduł sieciowy ASLINK.

W polu Plik zdarzeń podaje się nazwę pliku, w którym będą zapisywane informacje o zdarzeniach występujących w czasie pracy modułu sieciowego. Aby zaniechać wyprowadzania informacji do pliku zdarzeń należy usunąć zawartość tego pola. Zmiana nazwy pliku w czasie pracy spowoduje zamknięcie poprzedniego pliku i otwarcie nowego.

Na prawo od pola nazwy pliku zdarzeń znajduje się pole maks. rozmiar., które pozwala ograniczyć wielkość pliku zdarzeń.

Poniżej pola pliku zdarzeń znajdują się pola, których zaznaczenie powoduje wyprowadzenie dodatkowych informacji diagnostycznych:

nadawanie – wyprowadzane będą informacje o danych wysyłanych do sieci.

Odbiór – wyprowadzane będą informacje o danych odbieranych z sieci.

API – wyprowadzane będą informacje o danych klientów/serwerów kierowanych do modułu sieciowego.

Callback – wyprowadzane będą informacje o danych przekazywanych przez moduł sieciowy do klientów/serwerów.

pakiety danych – wyprowadzane będą informacje o pakietach danych. Jeśli pole nie jest zaznaczone to będą wyprowadzone tylko informacje o pakietach organizacyjnych tj. związanych z szukaniem serwerów, nawiązywaniem i rozwiązywaniem połączeń.

dane pak. danych – wyprowadzane będzie treść pakietów danych. Jeśli pole nie jest zaznaczone to będą wyprowadzane tylko ogólne informacje o pakietach danych.

dane pak. org. – wyprowadzana będzie treść pakietów organizacyjnych. Jeśli pole nie jest zaznaczone to będą wyprowadzane jedynie ogólne informacje o pakietach.

Zanim informacja o zdarzeniu zostanie zapisana w pliku zdarzeń, lub przekazana do programów AslView podłączonych do modułu sieciowego, jest ona zapisywana w pamięci operacyjnej w buforze pośredniczącym. Pola min. rozm. Bufora zdarz. i maks. rozm. Bufora zdarz. Pozwalają zdefiniować minimalny oraz maksymalny rozmiar tego bufora. Jeśli bufor jest zbyt mały w stosunku do częstości, z jaką mogą być generowane zdarzenia to w pliku zdarzeń lub w oknie komunikatów programu AslView będą się pojawiać zapisy „Utrata nn zdarzeń" (nn to liczba utraconych zdarzeń).

Z każdym klientem związana jest historia jego połączeń. Pole maks. historia użytkownika pozwala zdefiniować maksymalną ilość zapisów w historii. Jeśli maksymalna ilość zapisów zostanie przekroczona, to najstarsze zapisy zostaną usunięte.

Poziom diagnostyki kontroluje wyprowadzanie innych informacji diagnostycznych o różnym poziomie szczegółowości i znaczeniu. Zestaw zdarzeń związanych z danym poziomem może ulec zmianie w kolejnych wersjach modułu sieciowego ASLINK i nie jest w tym miejscu opisany.

Zaznaczenie pola Okno diagnostyczne powoduje uruchomienie programu AslView o ile nie został jeszcze uruchomiony. Program AslView zostanie uruchomiony na tej stacji, na której pracuje parametryzowany moduł sieciowy. Zapisanie tego parametru do pliku inicjalizacyjnego spowoduje automatyczne uruchamianie programu AslView w czasie uruchamiania aplikacji.

Wszystkie parametry diagnostyczne mogą być zmieniane w czasie pracy modułu sieciowego ASLINK.

UWAGA:

Aby informacje diagnostyczne były wyświetlane w należy odpowiednio skonfigurować program AslView (patrz: parametry dotyczące gromadzenia danych).

UWAGA:

Niniejszy dokument nie zawiera danych pozwalających na pełną interpretację informacji diagnostycznych. Celem diagnostyki jest pomoc w ustaleniu przyczyn nieprawidłowości funkcjonowania połączeń sieciowych systemu asix i powinna być ona uruchamiana przez pracowników firmy ASKOM lub przy ich wsparciu.

UWAGA:

Automatyczne uruchamianie programu AslView za pomocą parametru Okno diagnostyczne wymaga poprawnej instalacji programu AslView jako serwer COM. W tym celu należy uruchomić go z opcją /regserver.


4.4 Okno konfiguracji programu AslView

Okno konfiguracji programu AslView otwierane jest za pomocą komendy Konfiguracja... w podmenu Ustawienia menu głównego okna stacji i składa się z następujących części (zakładek):

  • parametry dotyczące gromadzenia danych,

  • inne parametry programu AslView.

Parametry konfiguracyjne programu AslView odnoszą się tylko do stacji związanej oknem stacji z którego otworzono okno konfiguracji programu AslView i są zapisywane w rejestrze systemowym. Każda stacja zdalna ma swój zestaw parametrów identyfikowany nazwą stacji. Stacja lokalna ma jeden zestaw parametrów niezależnie od nazwy nadanej stacji lokalnej. Przy powtórnym otwarciu okna stacji związanej z daną stacji następuje odtworzenie zapamiętanych w rejestrze systemowym parametrów.


4.4.1 Konfiguracja zbierania danych

Okno konfiguracji zbierania danych jest zakładką okna konfiguracji programu AslView.

Rysunek: Okno konfiguracji zbierania danych.

Okno pozwala określić typ informacji wyświetlanej w oknie komunikatów. Każde zdarzenie generowane w module sieciowym ASLINK ma przyporządkowany zestaw atrybutów zawierający między innymi status zdarzenia: błąd, zdarzenie ważne, zdarzenie diagnostyczne. Okno konfiguracji zbierania danych pozwala określić status wyświetlanych zdarzeń. Niektóre zdarzenia diagnostyczne mogą być generowane warunkowo przez moduł sieciowy ASLINK. Typy zdarzeń generowanych warunkowo ustala się poprzez odpowiednią parametryzację diagnostyki modułu ASLINK. Odpowiednie podpola pola diagnostyczne określają zdarzenia warunkowe wyświetlane w oknie komunikatów. Jeśli nie jest zaznaczone żadne podpole, to będą wyświetlane jedynie zdarzenia diagnostyczne bezwarunkowe. Okno zawiera następujące możliwości wyboru zdarzeń warunkowych:

nadawanie – zdarzenie związane z wysyłaniem danych do sieci;

odbiór – zdarzenia związane z odbiorem danych z sieci;

API – zdarzenia związaniem wywoływaniem funkcji realizowanych przez moduł ASLINK;

Callback – zdarzenia związane z przekazywaniem przez moduł ASLINK danych do klientów/serwerów;

pakiety danych – jeśli podpole jest zaznaczone to zdarzenie wymienione powyższych podpolach będą obejmowały pakiety danych; jeśli podpole nie jest zaznaczone, to będą pokazywane jedynie dane pakietów organizacyjnych.;

operacje sieciowe – zdarzenia związane z wykonywaniem poszczególnych operacji sieciowych;

pozostałe – pozostałe zdarzenia warunkowe.

Z diagnostyką związany jest również poziom jej szczegółowości. Pole poziom diagnostyki pozwala go odpowiednio ustawić. Poziom diagnostyki kontroluje wyprowadzanie informacji diagnostycznych o różnym poziomie szczegółowości i znaczeniu. Zestaw zdarzeń związanych z danym poziomem może ulec zmianie w kolejnych wersjach modułu sieciowego i nie jest w tym miejscu opisany.

UWAGA:

Okno zbierania określa jedynie zdarzenia diagnostyczne, które moduł sieciowy ASLINK będzie przekazywał do programu AslView, o ile te zdarzenia będą generowane przez moduł ASLINK. Zestaw zdarzeń diagnostycznych generowanych przez moduł sieciowy ASLINK określa się parametryzując go odpowiednio za pomocą pliku inicjalizacyjnego lub zakładki diagnostyka okna parametryzacji modułu sieciowego ASLINK. Dwa programy połączone z tym samym modułem ASLINK mogą pokazywać różne informacje, w zależności od ustawień w oknie zbierania danych.

UWAGA:

Przekazywanie informacji o zdarzeniach diagnostycznych może prowadzić do znacznego obciążenia sieci oraz modułu sieciowego ASLINK.

UWAGA:

Niniejszy dokument nie zawiera danych pozwalających na pełną interpretację informacji diagnostycznych. Celem diagnostyki jest pomoc w ustaleniu przyczyn nieprawidłowości funkcjonowania połączeń sieciowych systemu asix i powinna być ona uruchamiana przez pracowników firmy ASKOM lub przy ich wsparciu.


4.4.2 Inne parametry programu AslView

Okno konfiguracji innych parametrów programu AslView jest zakładką okna konfiguracji programu AslView.

Rysunek: Okno konfiguracji parametrów programu AslView.

Okno pozwala określić następujące parametry:

  • maksymalna ilość komunikatów w oknie komunikatów;

  • czasokres odświeżania informacji w oknie stacji;

  • czasokres odświeżania danych użytkownika modułu sieciowego ASLINK, tj. danych zawartych w oknie klienta/serwera;

  • czasokres odświeżania danych zawartych w oknie połączenia;

  • czasokres obliczania średnich prędkości transmisji; wartości tych średnich są wykorzystywane do kreślenia grafów średnich prędkości transmisji w oknie stacji, oknie połączenia i oknie klienta/serwera.

Zaznaczenie pola otwieraj automatycznie okno tej stacji spowoduje otwarcie okna stacji o odpowiedniej nazwie, w chwili, gdy stacja ta stanie się widoczna w sieci.


4.5.3 Okno programów AslView

Okno jest otwierane za pomocą komendy Programy AslView... w podmenu Widok głównego menu okna stacji.

Rysunek: Okno programów AslView.

Okna pokazuje listę programów AslView przyłączonych do tego samego modułu sieciowego ASLINK, do którego jest przyłączony aktualnie uruchomiony program AslView. Każda pozycja listy zawiera nazwę komputera, na którym znajduje się przyłączony program AslView oraz nazwę użytkownika. Wybierając pozycję na liście oraz przyciskając przycisk Usuń można wymusić odłączenie wybranego programu AslView od modułu sieciowego. Ponieważ wymiana informacji pomiędzy programem AslView a modułem sieciowym zlokalizowanym na zdalnym komputerze może powodować znaczne obciążenie sieci, zwłaszcza w przypadku uruchomienia zbierania danych diagnostycznych, zdalne zamykanie niewykorzystywanych połączeń może być w takich sytuacjach użyteczne.

UWAGA:

Usuwanie programu AslView może być chronione hasłem.


4.5.4 Okno adapterów systemu operacyjnego

Okno jest otwierane za pomocą komendy Adaptery... w podmenu Widok głównego menu okna stacji.

Rysunek: Okno adapterów systemu operacyjnego.

Okno pokazuje numery logicznych adapterów zdefiniowane w systemie operacyjnym oraz związane z nimi protokoły sieciowe.

UWAGA:

Nie wszystkie adaptery mogą być dostępne dla modułu sieciowego ASLINK. Adaptery niedostępne nie będą wykorzystywane.


4.5.5 Okno sesji

Okno jest otwierane za pomocą komendy Sesje... w podmenu Widok głównego menu okna stacji.

Rysunek: Okno sesji.

Okno przedstawia drzewo adapterów i sesji. Z każdym adapterem związana jest lista sesji nawiązanych lub nawiązywanych z wykorzystaniem tego adaptera.

Gałąź adaptera zawiera informacje o jego numerze logicznym, zestawem realizowanych protokołów oraz ilość nawiązywanych lub nawiązanych sesji. Z adapterem związana jest również ilość zainicjowanych operacji odbioru datagramów oraz odbioru pakietów sesyjnych. Operacje sieciowe odbioru pakietów sesyjnych są inicjowane dopiero po nawiązaniu sesji.

Gałęzie sesji zawierają identyfikator sesji, nazwę zdalną komputera, stan sesji oraz ilość zainicjowanych operacji odbiorczych i nadawczych. W czasie nasłuchu, pole nazwy zdalnej stacji zawiera znak *.

Pole stanu sesji może zawierać jeden z następujących stanów:

nasłuchiwanie – jeśli moduł sieciowy ASLINK obsługuje przynajmniej jeden serwer to na każdym adapterze inicjowana jest przynajmniej jedna operacja nasłuchu;

wywoływanie – wywołanie zdalnej stacji następuje gdy klient zażąda połączenia ze zdalną stacją i nie ma żadnej nawiązanej sesji ze zdalną stacją;

połączenie – istnieje połączenie sesyjne ze zdalną stacją;

rozłączanie – sesja jest w stanie zamykania połączenia;

rozłączona – nastąpiło zamknięcie sesji;

zerwana – połączenie sesyjne zostało zerwane.

Za pomocą przycisku Zamknij sesję można wymusić zamknięcie sesji. Spowoduje to zerwanie wszystkich połączeń klient-serwer. Funkcja ta może być jedynie wykorzystywane na etapie testów nowej aplikacji w celu symulacji zrywania sesji.

Przycisk Adapter powoduje otwarcie okna adaptera sieciowego.

Okno sesji zawiera również znacznik połączenia programu AslView z modułem sieciowym ASLINK.

UWAGA:

Okno zawiera informacje tylko o adapterach obsługiwanych przez moduł sieciowy ASLINK.

UWAGA:

Zamykanie sesji może być chronione hasłem.


4.5.6 Okno adaptera sieciowego

Okno jest otwierane za pomocą przycisku Adapter w oknie sesji.

Rysunek: Okno adaptera sieciowego.

Okno przedstawia informacje techniczne o adapterze logicznym. Zakres informacji zależy od typu adaptera/protokołu a także systemu operacyjnego. Okno przedstawia również wszystkie nazwy NetBIOS zarejestrowane w systemie operacyjnym związane z danym adapterem. Z każdą nazwą związany jest jej numer, typ indywidualna/grupowa, stan rejestracji oraz ostatni znak nazwy w kodzie szesnastkowym.

Okno sesji zawiera również znacznik połączenia programu AslView z modułem sieciowym ASLINK.


4.5.7 Okno synchronizacji czasu

Okno jest otwierane za pomocą komendy Synchronizacja... w podmenu Widok głównego menu okna stacji.

Rysunek: Okno synchronizacji czasu.

Okno pokazuje historię zmian czasu oraz listę znanych modułowi sieciowemu ASLINK serwerów czasu.

Każdy zapis historii zmian czasu składa się z czasu przed i po zmianie oraz nazwy serwera. Jeśli zmiana czasu nie nastąpiła z inicjatywy modułu ASLINK (operator lub inny program zmienił czas) to jako nazwa serwera pojawia się napis „nieznany".

Lista serwerów czasu zawiera następujące informacje:

  • nazwa serwera;

  • priorytet serwera;

  • interwał, z jakim serwer nadaje pakiety czasu;

  • czas otrzymania ostatniego pakietu;

  • różnica pomiędzy czasem lokalnej stacji a czasem serwera czasu.

Za pomocą przycisku Parametry można otworzyć zakładkę synchronizacji czasu okna parametryzacji modułu sieciowego ASLINK.

Okno synchronizacji czasu zawiera również znacznik połączenia programu AslView z modułem sieciowym ASLINK.

Okno synchronizacji czasu

Okno jest otwierane za pomocą komendy Statystyka adapterów... w podmenu Widok głównego menu okna stacji.

Rysunek: Okno statystyki adapterów sieciowych.

Okno pokazuje różne wielkości dotyczące poszczególnych adapterów sieciowych.


4.5.10 Okno nadawcze komunikatów informacyjnych

Okno jest otwierane jest za pomocą komendy Wyślij komunikat... w podmenu Narzędzia głównego menu okna stacji i składa się z następujących części (zakładek):

Rysunek: Okno nadawcze komunikatów informacyjnych.

Okno pozwala wysłać komunikat do modułu sieciowego ASLINK i dalej do panelu kontrolnego systemu asix (o ile aplikacja asix jest uruchomiona). Wysyłanie komunikatów może być użyteczne w przypadku zdalnej zmiany parametrów pracy modułu ASLINK. Pozwala to pozostawić ślad w plikach diagnostycznych systemu asix lub panelu kontrolnym informującego o zmianie i jej przyczynach. Zaznaczając odpowiednie pole można nadać wysyłanemu komunikatowi odpowiedni status: komunikat ważny, błąd lub komunikat diagnostyczny. Zaznaczając pole zapisz do panelu systemu ASIX można spowodować przekazanie komunikatu do tego systemu.


4.5.11 Okno formatu czasu

Okno jest otwierane jest za pomocą komendy Format czasu... w podmenu Ustawienia głównego menu okna stacji i składa się z następujących części:

Rysunek: Okno formatu czasu.

Okno pozwala ustalić składniki czasu i daty komunikatów wyprowadzanych do okna komunikatów okna stacji.


4.5.13 Okno informacyjne stacji

Okno otwierane jest poprzez wybranie odpowiedniej komendy w menu okna stacji (Plik/Pokaż...), menu kontekstowego drzewa stacji klientów i serwerów (Pokaż...) lub poprzez podwójne kliknięcie myszką odpowiedniej pozycji na drzewie stacji, klientów i serwerów.

Rysunek: Okno informacyjne stacji.

Okno zawiera podstawowe informacje o stacji:

  • wersja modułu sieciowego ASLINK;

  • nazwa komputera zdefiniowana w ustawieniach sieciowych systemu operacyjnego;

  • nazwa systemu operacyjnego i jego wersja;

  • wersja protokołu DCOM;

  • wersja uaktualnienia „Service Pack" (tylko dla Windows NT/2000);

  • numer adaptera logicznego i zestaw związanych z nim protokołów i kart sieciowych, z którego stacja jest (lub była) „widoczna".

Przycisk Połącz służy do inicjacji połączenie z nową stacją. Przycisk jest aktywny tylko dla aktywnych stacji pracujących pod kontrolą modułu sieciowego ASLINK w wersji równej lub wyższej niż 5.00.000.

Dla stacji pracujących pod kontrolą modułu sieciowego ASLINK w wersji mniejszej niż 5.00.00 pojawi się jedynie napis „Wersja modułu ASLINK 4.?.?".


5.1 Parametry w pliku inicjalizacyjnym

Parametry modułu sieciowego znajdują się w sekcji [ASLINK] pliku inicjalizacyjnego. Plik inicjalizacyjny odczytywany jest tylko jeden raz w czasie inicjalizacji modułu sieciowego. Jeśli moduł sieciowy ASLINK uruchamiany jest przez system asix, to odczytywany jest plik inicjalizacyjny aplikacji. Jeśli moduł ASLINK jest uruchamiany przez inny program, to poszukiwany jest plik o nazwie ASLINK.INI, a następnie plik o nazwie ASIX.INI (jeśli plik ASLINK.INI nie zostanie znaleziony). Nie zaleca się umieszczania parametrów w pliku ASIX.INI.

Wykonując poszukiwanie pliku inicjalizacyjnego, sprawdzane są następujące lokalizacje:

  • katalog bieżący;

  • katalog, z którego załadowano aplikację, która spowodowała uruchomienie modułu sieciowego ASLINK;

  • katalog w którym znajduje się biblioteka ASLINK.DLL;

  • dalsze przeszukiwanie wykonuje WINDOWS.

Powyższy algorytm wyszukiwania pliku inicjalizacyjnego jest wykorzystywany tylko wtedy, gdy aplikacją uruchamiającą moduł sieciowy nie jest system asix.


5.2 Identyfikacja stacji

Stacje identyfikowane są za pomocą nazw. Każda stacja powinna mieć unikalną w sieci nazwę. Oprócz nazwy indywidualnej, każda stacja należy do grupy stacji posiadających wspólną nazwę grupową. Wymiana danych pomiędzy stacjami należącymi do różnych grup nie jest możliwa. Dotyczy to również synchronizacji czasu – czas stacji jest synchronizowany tylko wewnątrz jednej grupy. Wyjątkiem od powyższej zasady są stacje pracujące pod kontrolą modułu sieciowego w wersji niższej niż 5.00.000. Moduł sieciowy w wersji 5.00.000 lub wyższej, sparametryzowany do współpracy ze stacjami o niższych wersjach będzie mógł się z nimi łączyć oraz synchronizować czas. Stacje pracujące pod kontrolą starszych wersji modułu sieciowego należą do wszystkich grup.

Parametr Nazwa służy do nadawania stacji unikalnej nazwy sieciowej. Parametr Grupa przyporządkowuje stacji nazwę grupową.

UWAGA:

Jeśli moduł sieciowy nie znalazł pliku inicjalizacyjnego, sekcji [ASLINK] w pliku inicjalizacyjnym, lub nie podano nazwy stacji to zostanie utworzona nazwa stacji na podstawie nazwy komputera zdefiniowanej w ustawieniach sieciowych systemu.


5.4 Synchronizacja czasu

Moduł sieciowy ASLINK może synchronizować swój czas z innymi stacjami. Synchronizację czasu z innymi stacjami można wyłączyć podając słowo „Tak" jako wartość parametru Bez_synchronizacji_czasu. Jeśli różnica czasu pomiędzy stacją a zdalnym serwerem czasu przekroczy wartość określoną parametrem Maksymalna_Różnica_Czasu (w co najmniej tylu kolejno otrzymanych pakietach, ile zdefiniowano parametrem Ilość_Pakietów_Czasu) to nastąpi ustawienie czasu lokalnej stacji. Maksymalną różnicę czasu podaje się w sekundach. Do ograniczenia zbioru serwerów czasu, z którymi czas może być synchronizowany służy parametr Serwery_czasu. Jego wartością jest lista serwerów czasu. Podobnie jak w przypadku filtrów, nazwy serwerów mogą zawierać znaki „?" i „*". Aby stacja zmieniła swój czas, musi otrzymać od jednego serwera czasu przynajmniej taką ilość kolejnych pakietów czasu, która jest określona parametrem Ilość_pakietów_czasu.

Aby stacja pełniła w sieci funkcję serwera czasu należy podać parametry Priorytet_Serwera_Czasu oraz Interwał_Serwera_Czasu. Jeśli jedna z tych wartości jest mniejsza niż zero, stacja nie będzie pełnić funkcji serwera czasu. Jeśli wartość parametru jest równa 0, to jako wartość przyjmuje się 5 dla priorytetu i 10 dla interwału. Priorytet serwera to liczba określająca waż serwera czasu. W danej chwili, jest aktywny tylko jeden serwer o najwyższym priorytecie. Aktywny serwer czasu rozsyła pakiety sieciowe zawierające bieżący czas serwera czasu z interwałem określonym parametrem Interwał_Serwera_Czasu. Interwał podaje się w sekundach.

Jeżeli serwer przestaje być aktywny to jego funkcje może przejąć inny serwer, który był nieaktywny z powodu niskiego priorytetu. Serwer może podjąć funkcje serwera czasu, jeżeli dotychczasowy serwer nie nada żadnego pakietu przez okres czasu równy iloczynowi wartości parametru Maks_Utracone_pakiety_czasu (zdefiniowany na lokalnej stacji) i interwału dotychczasowego serwera czasu (zdefiniowanej na zdalnej stacji serwera czasu). Aby uniknąć sytuacji, w której błędna parametryzacja zdalnego serwera czasu (np. interwał równy 1 godzina), powodująca, że sieć nie jest w długim okresie czasu synchronizowana, wprowadzono parametr Maks_Interwał_Serwerów_Czasu. Jeżeli interwał serwera czasu, z którego nowy serwer nie otrzymuje pakietów czasu, jest większy niż wartość określona tym parametrem, to do obliczenia czasu, po jakim nowy serwer podejmie działanie jest przyjmowana wartość określona parametrem.

Jeśli różnica czasu pomiędzy czasem serwera a czasem lokalnym jest większa niż wartość określona parametrem Duża_Różnica_Czasu, zmiana czasu stacji nastąpi dopiero po otrzymaniu przynajmniej tylu pakietów, ile jest określone parametrem Duża_Różnica_Czasu_Licznik. Parametry te dają czas wprowadzenie korekty błędnego ustawienia czasu przez operatora zdalnej stacji.

Serwer nadaje pakiety czasu do wszystkich wykorzystywanych adapterów logicznych. Jeśli klient serwera czasu obsługuje kilka adapterów logicznych, to otrzymane z jednego adaptera pakiety czasu może przesyłać do pozostałych adapterów. Funkcja ta może być wykorzystywana do synchronizacji czasu w podsieciach innych niż podsieć, w której pracuje serwer czasu. Aby uruchomić rozsyłanie czasu do innych sieci, należy parametrowi Replikacja_Czasu nadać wartość „Tak" na stacji podłączonej do wielu podsieci. Pakiety czasu mogą podlegać dalszej replikacji na kolejnych stacjach, aż do chwili, gdy ilość replikacji przekroczy wartość parametru Maks_Replikacje_Czasu. Parametr definiuje się na serwerze czasu. Aby zmienić maksymalną ilość replikacji na stacjach, które dokonują replikacji, należy podać parametr Maks_Replikacje_Czasu2.


5.5 Alokacja zasobów

Większość wymaganych zasobów jest alokowana automatycznie przez moduł sieciowy ASLINK. Wyjątkiem są bufory w pamięci operacyjnej przeznaczone do odbioru pakietów datagramowych i sesyjnych. Ich brak na danej stacji może skutkować zaburzeniami w pracy zdalnych stacji. Zaburzenia mogą wystąpić w przypadku dużej ilości stacji i dużego natężenia ruchu pomiędzy tymi stacjami. Wartości domyślne ilości buforów zostały dobrane z dużym nadmiarem tak, aby były wystarczające nawet w przypadku dużego obciążenia. Nie można jednak wykluczyć ich braku w specyficznych okolicznościach.

Parametr Ilość_buforów definiuje ilość buforów do odbioru pakietów sesyjnych.

Parametr Ilość_odb_datag definiuje ilość buforów do odbioru pakietów datagramowych.


5.8 Diagnostyka

Parametry sterują informacjami diagnostycznymi wyprowadzanymi przez moduł sieciowy ASLINK. Niniejszy dokument nie zawiera danych pozwalających na pełną interpretację informacji diagnostycznych. Celem diagnostyki jest pomoc w ustaleniu przyczyn nieprawidłowości funkcjonowania połączeń sieciowych systemu asix i powinna być ona uruchamiana przez pracowników firmy ASKOM lub przy ich wsparciu.

Informacje diagnostyczne wygenerowane przez moduł sieciowy mogą być zapisywane w pliku log i/lub przekazywane do programów AslView przyłączonych do modułu sieciowego.

Parametr Plik_log definiuje nazwę oraz położenie pliku, do którego będą wyprowadzane informacje diagnostyczne. Obok nazwy, po przecinku, można podać maksymalną wielkość pliku log wyrażoną w megabajtach.

Przed zapisem w pliku log i/lub wysłaniu do programów AslView, informacje diagnostyczne (zdarzenia) zapisywane są buforze pośredniczącym znajdującym się w pamięci operacyjnej. Jeśli szybkość powstawania informacji diagnostycznych jest znacznie większa niż szybkość jej zapisywania/wysyłania, to może dojść do utraty informacji diagnostycznej. Objawem tego są zapisy w postaci „Utrata nn zdarzeń" pojawiające się w pliku log lub panelu programu AslView. Wielkość bufora zdarzeń jest kontrolowana przez parametry Min_bufor_zdarzeń oraz Maks_bufor_zdarzeń. Wielkości bufora wyrażone są w bajtach. Początkowo alokowany jest bufor określony parametrem Min_bufor_zdarzeń. W przypadku utraty zdarzeń jest on stopniowo zwiększany aż do osiągnięcia wielkości określonej parametrem Maks_bufor_zdarzeń.


4.1.6 Menu główne okna stacji

Menu główne okna stacji składa się z następujących podmenu:

  • podmenu Plik,

  • podmenu Widok,

  • podmenu Narzędzia,

  • podmenu Ustawienia,

  • podmenu Pomoc.

Podmenu Plik głównego menu okna stacji

Podmenu Plik jest składnikiem głównego menu okna stacji i składa się z następujących pozycji:

Połącz – inicjuje proces łączenia programu AslView ze stacją zaznaczoną na drzewie stacji, klientów i serwerów;

Połącz z ... – otwiera okno łączenia ze zdalną stacją;

Usuń – usuwa z drzewa stacji, klientów i serwerów zaznaczoną nieaktywną stację;

Zapis – zaznaczenie tej pozycji spowoduje, że wszystkie komunikaty pojawiające się w oknie komunikatów, będą zapisywane do wybranego przez użytkownika pliku;

Zapisz stan – zapisuje informacje zgromadzone przez program AslView w pliku wybranym za pomocą pozycji Zapis. Jeśli plik nie jest jeszcze otwarty to zostanie otwarte okno dialogowe selekcji pliku;

Zamknij – zamyka program AslView.

Podmenu Widok głównego menu okna stacji

Podmenu Widok jest składnikiem głównego menu okna stacji i składa się z następujących pozycji:

Odśwież – powoduje odczyt podstawowych informacji o stacji i aktualizację treści wyświetlanej w oknie stacji;

Pokaż... – w zależności od elementu zaznaczonego na drzewie stacji, klientów i serwerów otwarte zostanie odpowiednie okno; jeśli zaznaczonym elementem jest stacja to zostanie otwarte okno informacyjne stacji; jeśli zaznaczonym elementem jest klient lub serwer, to zostanie otwarte okno klienta/serwera; jeśli zaznaczone zostało połączenie ze zdalnym partnerem, to zostanie otwarte okno połączenia klient-serwer;

Programy AslView – powoduje otwarcie okna programów AslView; okno to dostarcza informacji o programach AslView przyłączonych do danej stacji, a także pozwala na ich zdalne odłączenie;

Adaptery... – powoduje otwarcie okna adapterów systemu operacyjnego; okno pokazuje adaptery logiczne zdefiniowane w systemie operacyjnym Windows;

Sesje... – powoduje otwarcie okna sesji; okno sesji przedstawia sesje nawiązane przez moduł sieciowy ASLINK;

Synchronizacja – powoduje otwarcie okna synchronizacji czasu; okno synchronizacji przedstawia stan synchronizacji czasu z innymi stacjami;

Statystyka adapterów – powoduje otwarcie okna statystyki adapterów.

Podmenu Narzędzia głównego menu okna stacji

Podmenu Narzędzia jest składnikiem głównego menu okna stacji i składa się z następujących pozycji:

Szukaj stacje – rozsyła w sieci żądanie zgłoszenia się wszystkich stacji obsługiwanych przez moduł sieciowy ASLINK;

Błędy sieciowe... – otwiera okno numerów błędów sieciowych; okno pomaga zinterpretować kody błędów występujących w komunikatach wyprowadzanych prze moduł sieciowy do okna komunikatów;

Błędy systemowe... – otwiera okno numerów błędów systemu operacyjnego; okno pomaga zinterpretować kody błędów występujących w komunikatach wyprowadzanych prze moduł sieciowy do okna komunikatów;

Wyślij komunikat... – otwiera okno nadawcze komunikatów informacyjnych; okno umożliwia wprowadzenie dowolnego tekstu i wysłanie go do zdalnej stacji.

Podmenu Ustawienia głównego menu okna stacji

Podmenu Ustawienia jest składnikiem głównego menu okna stacji i składa się z następujących pozycji:

Format czasu... – otwiera okno zmiany formatu czasu; format czasu dotyczy informacji wyświetlanej w oknie komunikatów;

Moduł sieciowy ... – otwiera okno parametryzacji modułu sieciowego ASLINK;

Konfiguracja – otwiera okno konfiguracji programu AslView.

Podmenu Pomoc głównego menu okna stacji

Podmenu Pomoc jest składnikiem głównego menu okna stacji i składa się z następujących pozycji:

Indeks... – wyświetla indeks system pomocy programu AslView;

Wizytówka... – otwiera okno-wizytówkę programu AslView.


4.1 Okno główne programu


4.2.1 Okno historii połączeń

Dolną część okna klienta/serwera zajmuje okno historii połączeń.

Rysunek: Okno historii połączeń.

Okno przedstawia historię połączeń klienta/serwera. Każdy element historii składa się z następujących elementów:

  • czas rozpoczęcia szukania serwera (tylko dla klientów);

  • czas rozpoczęcia inicjalizacji połączenia;

  • czas rozwiązania połączenia o ile zostało nawiązane;

  • nazwa zdalnego partnera (klienta lub serwera) oraz nazwa stacji (w nawiasach);

  • kod statusu rozwiązania połączenia lub kod przyczyny jego braku;

  • przyczyna rozwiązania lub przyczyna braku połączenia:

  • „odrzucone" – propozycja nawiązania połączenia została odrzucona przez zdalnego partnera. Kod statusu to status przekazany przez zdalnego partnera. W przypadku, gdy inicjacja połączenia następuje w chwili, gdy zdalny partner już nie istnieje, odrzucenie propozycji nawiązania połączenia następuje z inicjatywy modułu ASLINK z kodem 8BA5;

  • „błąd nadawczy" – przyczyną rozwiązania połączenia jest sieciowy błąd nadawczy;

  • „błąd odbiorczy" – przyczyną rozwiązania połączenia jest sieciowy błąd odbiorczy;

  • „własne żądanie" – klient/serwer zażądał rozwiązania połączenia;

  • „błąd API" – błąd parametrów przekazanych do modułu sieciowego przez klienta/serwera;

  • „deinstalacja" – klient/serwer został odinstalowany;

  • „filtr" – połączenie rozwiązane z powodu zmiany filtru lub połączenie nie doszło do skutku z powodu zmiany filtru;

  • „błąd potwierdz." klient nie przyjął potwierdzenia nawiązania połączenia;

  • „polecenie szukania" – w czasie trwania połączenia klient wydał polecenie szukania nowego serwera;

  • „błąd naw. Sesji" – połączenie nie doszło do skutku z powodu błędu nawiązania sesji;

  • „brak partnera" połączenie nie doszło do skutku z powodu braku stacji w sieci;

  • „żądanie partnera" – żądanie zdalnego partnera;

  • „nieznana" – przyczyna nie jest znana.

Menu kontekstowe okna historii połączeń zawiera obecnie tylko jedną pozycję Pokaż..., powodującą wyświetlenie okna historycznego połączenia klient-server. Podwójne kliknięcie na wybranej pozycji również powoduje otwarcie tego okna.


4.2.3 Menu główne okna klienta/serwera

Menu główne okna klienta/serwera składa się z następujących pozycji:

  • podmenu Plik,

  • podmenu Historia.

Podmenu Plik głównego menu okna klienta/serwera

Podmenu Plik składa się obecnie tylko z komendy Zamknij, powodującej zamknięcie okna klienta/serwera.

Podmenu Historia głównego menu okna klienta/serwera

Podmenu Historia składa się z następujących pozycji:

Włączona - zaznaczenie tej pozycji powoduje uruchomienie cyklicznego odczytu danych o przeszłych połączeniach i odpowiednią aktualizację okna historii połączeń klienta/serwera;

Wyłączona - zaznaczenie tej pozycji powoduje zatrzymanie cyklicznego odczytu danych o przeszłych połączeniach;

Odczyt - wybranie tej komendy powoduje jednorazowy odczyt nowych zapisów w historii połączeń klienta/serwera i odpowiednią aktualizację okna historii połączeń klienta/serwera.


4.3.3 Okno adapterów używanych przez moduł sieciowy ASLINK

Okno adapterów wykorzystywanych przez moduł sieciowy ASLINK do komunikacji z innymi stacjami jest otwierane po przyciśnięciu przycisku adapterów na zakładce parametrów ogólnych okna parametrów modułu sieciowego ASLINK.

Rysunek: Okno adapterów używanych przez moduł sieciowy ASLINK.

Okno pozwala wybrać adaptery wykorzystywane przez moduł sieciowy ASLINK. Jeśli jakieś adaptery były już wcześniej wybrane, to po otwarciu okna będą zaznaczone.

UWAGA:

Okno zawiera adaptery zdefiniowane w systemie operacyjnym. Nie wszystkie filtry mogą być dostępne dla modułu sieciowego ASLINK.


4.3 Okno parametryzacji modułu sieciowego ASLINK

Okno konfiguracji programu AslView otwierane jest za pomocą komendy Moduł sieciowy... w podmenu Ustawienia głównego menu okna stacji i składa się z następujących części (zakładek):

  • parametry ogólne,

  • synchronizacja czasu,

  • diagnostyka.

IDH_ASLINKDiagnosticParamsWindow

Rysunek: Okno parametryzacji modułu sieciowego ASLINK.

Przycisk Zapisz staje się aktywny po zmodyfikowaniu przynajmniej jednego parametru i jego przyciśnięcie powoduje zmianę wybranych parametrów. Domyślnie zmieniane są parametry bieżące modułu sieciowego tzn. zmiany nie są trwałe i powtórne uruchomienie modułu sieciowego spowoduje przywrócenie poprzednich wartości. Aby zapisać zmiany w pliku inicjalizacyjnym należy przycisnąć przycisk Zapisz. Zostanie wtedy otwarte okno selekcji pliku inicjalizacyjnego. Zmiana parametrów następuje po wykonaniu komendy OK lub Zastosuj. Komenda OK powoduje jednocześnie zamknięcie okna parametryzacji.5.1 Parametry w pliku inicjalizacyjnym

UWAGA:

Niektóre parametry nie mogą być zmieniane dynamicznie tj. w trakcie pracy modułu ASLINK. Mogą być one zapisane tylko w pliku inicjalizacyjnym.

UWAGA:

Okno pokazuje jedynie parametry bieżące modułu sieciowego. Wykonanie komendy Zastosuj, nawet jeśli wcześniej wykonano komendę Zapisz, powoduje odświeżenie zawartości okna w oparciu o bieżące parametry pracy modułu sieciowego ASLINK.

UWAGA:

Okno parametryzacji modułu pozwala zmienić tylko najczęściej wykorzystywane parametry. Wszystkie parametry może zmienić poprzez ręczną edycję pliku inicjalizacyjnego.

UWAGA:

Możliwość zapisu parametrów w pliku inicjalizacyjnym zależy od aplikacji, która jako pierwsza spowodowała uruchomienie modułu sieciowego. Przy zapisie parametrów do pliku inicjalizacyjnego, moduł sieciowy korzysta z funkcji udostępnianych przez aplikację, która spowodowała jego uruchomienie (o ile w dalszym ciągu jest ona uruchomiona). Jeśli taką aplikacją był system asix to zapis może nie być możliwy. Zapis jest zawsze możliwy, jeśli moduł sieciowy ASLINK został uruchomiony przez inne aplikacje. Zapis w pliku inicjalizacyjnym jest wtedy dokonywany przy użyciu funkcji dostarczanych przez bibliotekę ASLINK.DLL, z której korzysta aplikacja.

UWAGA:

Parametryzacja modułu sieciowego może być chroniona hasłem.

UWAGA:

Aby zapis do pliku był możliwy, plik inicjalizacyjny musi istnieć w chwili uruchamiania modułu sieciowego.


4.5.1 Okno historyczne połączenia klient-serwer

Okno otwierane jest poprzez podwójne kliknięcie wybranej pozycji w oknie historii połączeń lub poprzez wybranie odpowiedniej komendy w menu kontekstowym okna historii połączeń.

Okno przedstawia dane na temat przeszłego połączenia klienta/serwera i zawiera następujące informacje:

lewy panel:

  • numer kolejny w historii połączeń klienta/serwera;

  • czas rozpoczęcia szukania serwera (dla serwerów to pole jest puste);

  • czas nawiązania połączenia;

  • czas rozwiązania połączenia;

  • cid – identyfikator klienta/serwera używany w czasie trwania połączenia (w nawiasie podany jest identyfikator cid4, który wykorzystywany jest do połączeń z modułami sieciowymi w wersji mniejszej niż 5.00.000; jeśli identyfikator cid4 jest równy 0 to zdalny partner połączenia pracuje pod kontrolą modułu sieciowego w wersji równej lub wyższej niż 5.00.000);

  • numer logiczny adaptera sieciowego i związany z nim zestaw protokołów wykorzystywany do realizacji połączenia;

  • numer sesji sieciowej;

  • nazwa zdalnego partnera (na powyższej ilustracji „Serwer") oraz identyfikator cid zdalnego partnera;

  • nazwa zdalnego komputera (w przypadku połączeń lokalnych, realizowanych wewnątrz modułu sieciowego ASLINK pomiędzy klientami i serwerami znajdującymi się na tej samej stacji, zamiast nazwy komputera występuje napis „połącz. Lokalne");

  • przyczyna która spowodowała rozwiązanie połączenia (opis przyczyn podano w opisując okno historii połączeń);

  • kod statusu rozwiązania połączenia;

  • dodatkowy kod statusu rozwiązania połączenia (dla celów diagnostycznych);

prawy panel:

  • ilość bajtów oraz pakietów odebranych i nadanych przez klienta/serwera;

  • ilość błędów nadawczych i błędnych wywołań funkcji (błędy API);

  • ilość sytuacji w których klientowi/serwerowi zabrakło buforów na odbiór danych

  • ilość pakietów danych przekazanych do klienta/serwera przez moduł sieciowy (callback);

  • ilość pakietów nadanych i odebranych przez klienta/serwera z podziałem na poszczególne typy pakietów.

Okno zawiera przyciski Następny oraz Poprzedni. Przycisk Następny powoduje wyświetlenie informacji o następnym połączeniu, a przycisk Poprzedni o poprzednim.


4.5.2 Okno połączenia klient-serwer

Okno otwierane jest poprzez wybranie odpowiedniej komendy w menu okna stacji (Plik/Pokaż...), menu kontekstowego drzewa stacji klientów i serwerów (Pokaż...) lub poprzez podwójne kliknięcie myszką odpowiedniej pozycji w drzewie stacji, klientów i serwerów.

Rysunek: Okno połączenia klient-serwer.

Pierwsza linia okna zawiera informację o aktualnym stanie połączenia oraz aktualny czas stacji.

Połączenie może być w jednym z następujących stanów:

  • nieaktywny,

  • szukanie serwerów,

  • odpowiedź na szukanie serwerów,

  • łączenie,

  • połączony,

  • wysyłanie,

  • rozłączanie,

  • nieznany.

Okno zawiera następujące informacje:

panel lewy-górny:

  • czas rozpoczęcia szukania serwera (dla serwerów to pole jest puste);

  • czas nawiązania połączenia;

  • czas rozwiązania połączenia;

panel lewy-środkowy:

  • cid – identyfikator klienta/serwera używany w czasie trwania połączenia (w nawiasie podany jest identyfikator cid4, który wykorzystywany jest do połączeń z modułami sieciowymi w wersji mniejszej niż 5.00.000; jeśli identyfikator cid4 jest równy 0 to zdalny partner połączenia pracuje pod kontrolą modułu sieciowego w wersji równej lub wyższej niż 5.00.000);

  • numer logiczny adaptera sieciowego i związany z nim zestaw protokołów wykorzystywany do realizacji połączenia;

  • numer sesji sieciowej;

  • nazwa zdalnego partnera (na powyższej ilustracji „Serwer") oraz identyfikator cid zdalnego partnera;

  • nazwa zdalnego komputera (w przypadku połączeń lokalnych, realizowanych wewnątrz modułu sieciowego ASLINK pomiędzy klientami i serwerami znajdującymi się na tej samej stacji, zamiast nazwy komputera występuje napis „połącz. Lokalne");

panel lewy-dolny:

panel lewy-dolny zajmuje graf średniej szybkości transmisji połączenia; sposób prezentacji tej szybkości jest taki sam jak na grafie średniej szybkości transmisji) okna stacji;

panel prawy:

  • ilość bajtów oraz pakietów odebranych i nadanych przez klienta/serwera;

  • ilość błędów nadawczych i błędnych wywołań funkcji (błędy API);

  • ilość sytuacji w których klientowi/serwerowi zabrakło buforów na odbiór danych;

  • ilość pakietów danych przekazanych do klienta/serwera przez moduł sieciowy (callback);

  • ilość pakietów nadanych i odebranych przez klienta/serwera z podziałem na poszczególne typy pakietów.

Okno zawiera również znacznik połączenia programu AslView z modułem sieciowym ASLINK.


4.5.8 Okno numerów błędów sieciowych

Okno jest otwierane jest za pomocą komendy Błędy sieciowe... w podmenu Narzędzia głównego menu okna stacji i składa się z następujących części (zakładek):

Rysunek: Okno numerów błędów sieciowych.

Komunikaty wyprowadzane do okna komunikatów okna stacji mogą zawierać kody błędów operacji sieciowych. Kod błędu może mieć postać 8Fnn, 8Enn i 8Bnn, gdzie nn to kod błędu sieciowego. Okno pozwala zinterpretować wartość nn występującą w kodzie błędu.


4.5.9 Okno numerów błędów systemowych

Okno jest otwierane jest za pomocą komendy Błędy sieciowe... w podmenu Narzędzia głównego menu okna stacji i składa się z następujących części (zakładek):

Rysunek: Okno numerów błędów systemowych.

Komunikaty wyprowadzane do okno komunikatów okna stacji przez moduł sieciowy ASLINK lub program AslView mogą zawierać kody błędów zwracane przez system operacyjny. Okno pozwala zinterpretować tego typu błędy. Po wprowadzeniu numeru błędu należy wybrać format kodu (najczęściej jest to format szesnastkowy) oraz przycisnąć przycisk Szukaj. W polu poniżej przycisków pojawi się opis błędu.


4.5.12 Okno łączenia ze stacją

Okno jest otwierane za pomocą komendy Połącz z... w podmenu Plik menu głównego okna stacji.

Rysunek: Okno łączenia ze stacją.

Okno służy do łączenia ze stacją, która nie występuje na drzewie stacji, klientów i serwerów, lub ze stacją, która znajduje się na drzewie, ale nie jest osiągalna poprzez sieć z komputera, na którym uruchomiony jest program AslView. Okno może służyć do łączenia ze stacjami należącymi do innych grup. Takie stacje nie pojawiają się na drzewie stacji, klientów i serwerów. Z chwilą uzyskania połączenia ze stacją z obcej grup, pozostałe stacje tej grupy będą widoczne na drzewie stacji, klientów i serwerów, nowo otwartego okna stacji.

Pozycję Połącz poprzez stacje pośrednie zaznacza się tylko wtedy, gdy stacja, z którą ma być nawiązane połączenie nie jest osiągalna z komputera, na którym jest uruchomiony program AslView. Powyższa sytuacja ma miejsce w przypadku komputerów wyposażonych w wiele kart sieciowych lub z odpowiednio skonfigurowanym oprogramowaniem sieciowym.

Rysunek: Konfiguracja pośredniego połączenia AslView ze stacja.

Jeśli na powyższej ilustracji, program AslView połączony jest ze stacją A, to stacja B będzie widoczna na drzewie stacji, klientów i serwerów. Jednak bezpośrednie połączenie programu AslView ze stacją B zazwyczaj nie jest możliwe. Jest to możliwy tylko wtedy, gdy stacja A pełni funkcję rutera. Połączenie ze stacją B jest możliwe za pośrednictwem modułu sieciowego ASLINK (w wersji większej lub równej niż 5.00.000) pracującego na stacji A. Do realizacji tego typu połączeń jest przeznaczone ‘Okno łączenia ze stacją’. Aby zrealizować takie połączenie, należy zaznaczyć pole Połącz poprzez stacje pośrednie oraz należy wpisać nazwę stacji pośredniczącej do pola poniżej. Jeżeli topologia sieci jest bardziej rozbudowana, i wymagane jest pośrednictwo większej ilości stacji to należy je wpisać do tego pola oddzielając je przecinkami. Nazwy stacji należy wpisywać w kolejności od najbliższej do najdalszej w stosunku do położenia komputera, na którym uruchomiony jest program AslView.

Połączenie ze stacją powoduje otwarcie nowego okna stacji.

UWAGA:

W poszczególnych polach okna należy podawać nazwy komputerów tak jak zostały one zdefiniowane w ustawieniach sieciowych systemu operacyjnego.

UWAGA:

Przez cały czas trwania połączenia za pośrednictwem innych stacji, na każdej z nich musi być uruchomiona aplikacja korzystająca z modułu sieciowego ASLINK (asix, AsixConnect, AslView). Należy również zwrócić uwagę, że realizacja połączeń pośrednich powoduje wzrost obciążenia komputerów pośredniczących o czynności związane z retransmisją danych.


4.5 Inne okna


4 Interfejs użytkownika


5.3 Dostęp do sieci

Moduł sieciowy ASLINK realizuje dostęp do sieci za pomocą adapterów logicznych. Adapter logiczny to fizyczny adapter sieciowy oraz zestaw związanych z nim protokołów sieciowych. Adaptery logiczne identyfikowane są za pomocą numerów. W systemie Windows NT, powiązania numerów logicznych z protokołami i rzeczywistymi adapterami sieciowymi można ustalić za pomocą ustawień sieciowych systemu operacyjnego. Do odczytu tych powiązań można również wykorzystać program AslView. W systemie Windows 2000 informację o powiązaniach można uzyskać tylko za pomocą programu AslView.

Zestaw adapterów logicznych podaje się za pomocą parametru Adaptery. Wartością tego parametru są numery adapterów logicznych oddzielone przecinkiem. Jeśli jako wartość podano znak „*", to zostaną wykorzystane wszystkie dostępne w systemie operacyjnym adaptery logiczne. Ogólną postać parametru Adaptery podano na końcu tego punktu.

W niektórych zastosowaniach konieczne jest ograniczenie zbioru stacji, z którymi można nawiązywać połączenie. Do tego celu służy parametr Adaptery_Szukanie_Serwerów. Jako wartość podaje się numery adapterów, na których będą szukane serwery. Parametr ma wpływ jedynie na działanie klientów na stacji lokalnej. Nie ogranicza on połączeń dokonywanych z inicjatywy zdalnych klientów. Brak tego parametru lub podanie znaku ‘*’ jako jego wartości spowoduje, że do szukania będą wykorzystane wszystkie adaptery.

Innym sposobem ograniczenia zbioru stacji, z którymi mogą być nawiązywane połączenia jest użycie parametru Filtry. Wartością tego parametru są oddzielone przecinkiem nazwy stacji, z którymi mogą być nawiązywane połączenia. Parametr dotyczy tylko nawiązywania połączeń ze zdalnymi serwerami. Klienty na zdalnych stacjach mogą łączyć się z serwerami na lokalnej stacji bez ograniczeń. Jeśli nazwa filtru zawiera znaki „?" to porównywanie nazwy zdalnej stacji z filtrem nie będzie przeprowadzone w miejscu tych znaków. Przykładowo, jeśli w sieci znajdują się stacje o nazwach „A1X", „A2X", i „B1X", a filtr ma postać „A?X", to będą możliwe połączenia z serwerami na stacjach „A1X" i „A2X", ale nie będą możliwe ze stacją „B1X". Nazwa filtru może zawierać znak „*". W takim przypadku nazwy filtru i stacji są porównywane tylko w części poprzedzającej znak „*".

Ogólna postać parametru Adaptery.

Adaptery=<opis_adapterów>,<opis_adapterów>,..

<opis_adapterów>=* | [-][<nazwa_adapterów>][/<numer_karty>] | [-]<numer_adapteru>

<nazwa_adapterów>=<opis>[&<opis>&<opis>....]

<opis>=<tekst> | <synonim>

<synonim>=tcpip|ipx|netbeui|wan

ASLINK analizuje parametr Adaptery od strony lewej do prawej. Początkowo zbiór obsługiwanych adapterów jest pusty. Każda kolejna pozycja <opis_adapterów> powoduje dodanie do tego zbioru kolejnych adapterów lub ich odjęcie jeśli opis_adapterów rozpoczyna się od znaku "-". Znak "*" oznacza wszystkie dostępne adaptery z wyjątkiem tych związanych z łączami typu WAN. Element <opis_adapterów> może być zdefiniowanym w systemie operacyjnym numerem logicznym adaptera (numer_adapteru) lub może określać grupę logicznych adapterów spełniających określone kryteria. Kryteria określa się poprzez podanie połączonych znakiem & elementów <opis> będących fragmentami tekstu określającego ścieżkę sieciową adaptera logicznego. Elementy <opis> mogą być również synonimami nazw protokołów występujących w ścieżce sieciowej (np. NetBEUI jest synonimem protokołu Nbf). Ciąg elementów <opis> połączonych znakiem „&" jest porównywany ze wszystkimi ścieżkami sieciowymi i jeśli występuje zgodność to odpowiednie adaptery dodawane są do zbioru adapterów. Ścieżka sieciowa jest zgodna z <nazwa_adapterów> gdy wszystkie elementy <opis> w niej występują. Jeśli po nazwie adapterów występuje „/<numer_karty>" to porównywane są tylko te adaptery logiczne, które związane są z daną kartą sieciową. Jeśli <nazwa_adapterów> składa się jedynie z elementu „/<numer_karty>" to do zbioru adapterów dodawane są wszystkie adaptery logiczne związane z daną kartą sieciową. Jak wcześniej wspomniano, na początku analizy parametru Adaptery zbiór adapterów jest pusty. Wyjątkiem od tej zasady jest poprzedzenie znakiem „-„ pierwszego elementu <opis_adapterów>. W takiej sytuacji przyjmuje się, że wcześniej wystąpił znak „*" to jest wszystkie adaptery z wyjątkiem tych związanych z połączeniami „WAN".

Przykłady:

W systemie są zdefiniowane adaptery:

Numer logiczny adaptera | Ścieżka sieciowa zdefiniowana w systemie
0 | NetBT->Tcpip->Karta Realtek RTL8029(AS) PCI Ethernet Adapter
1 | NetBT->Tcpip->Karta Realtek RTL8029(AS) PCI Ethernet Adapter #2
2 | NetBT->Tcpip-> Karta 3Com EtherLink III ISA (3C509/3C509b) w trybie Legacy"
3 | Nbf->Karta Realtek RTL8029(AS) PCI Ethernet Adapter
4 | Nbf->Karta Realtek RTL8029(AS) PCI Ethernet Adapter #2
5 | Nbf->Tcpip-> Karta 3Com EtherLink III ISA (3C509/3C509b) w trybie Legacy"
6 | Nbf->WAN Miniport (NetBEUI, Dial Out)
7 | Nbf->WAN Miniport (NetBEUI, Dial Out)
8 | Nbf->WAN Miniport (NetBEUI, Dial In)
9 | NwlnkNb

Adaptery = NBF

wszystkie adaptery logiczne z protokołem Nbf, ale bez łączy typu WAN

Adaptery = Realtek&#2

wszystkie adaptery logiczne związane z kartą " Karta Realtek RTL8029(AS) PCI Ethernet Adapter #2"

Adaptery = Nbf+Realtek, IPX

wszystkie adaptery logiczne związane z protokołem Nbf i kartami Realtek oraz z protokołem IPX (NwlnkNb)

Adaptery = tcpip

wszystkie adaptery logiczne związane z protokołem TCP/IP, ale bez łączy typu WAN

Adaptery = tcpip&3Com

adapter logiczny 2 (protokół TCP/IP na karcie 3Com)

Adaptery = NETBEUI&In

adapter logiczny 8 (połączenie WAN przychodzące)

Adaptery = - TCPIP&3Com

wszystkie adaptery z wyjątkiem adaptera logicznego 2 (protokół TCP/IP i karta 3Com) oraz połączeń typu WAN

Adaptery= - IPX

wszystkie adaptery logiczne za wyjątkiem adapterów związanych z protokołem IPX i łączami typu WAN

Adaptery= - /2

wszystkie adaptery logiczne za wyjątkiem adapterów związanych z kartą o numerze 2 (numer slotu) oraz łączami typu WAN

Adaptery= 1,3,5

adaptery logiczne 1, 3 i 5

Adaptery= *, wan

wszystkie adaptery logiczne

Domyślna wartość specyfikacji adapterów ma postać:

Adaptery = *

tzn. wszystkie adaptery z wyjątkiem tych związanych z łączami typu WAN

UWAGA:

Jeśli moduł sieciowy nie znalazł pliku inicjalizacyjnego, sekcji [ASLINK] w pliku inicjalizacyjnym, lub nie podano parametru Adaptery to zostaną wykorzystane wszystkie dostępne w systemie operacyjnym adaptery logiczne.


5.6 Zabezpieczenie hasłem

Z pomocą programu AslView jest możliwe wykonanie funkcji, które mogą mieć istotny wpływ na działanie modułu sieciowego. Aby uniknąć przypadkowego lub nieuprawnionego dostępu do tych funkcji, wprowadzono możliwość zabezpieczenia modułu sieciowego hasłem. Hasło można podać za pomocą parametru Blokada_Zmian. Wartością tego parametru mogą być słowa „Tak", „Nie" lub tekst hasła. Jeśli podano „Tak", to wykonanie funkcji chronionych hasłem będzie niemożliwe. Jeśli wartością parametru jest słowo „Nie", to dostęp do modułu sieciowego jest nieograniczony. Inne wartości są interpretowane jako hasło, które musi zostać podane przez użytkownika przed wykonaniem funkcji chronionej hasłem. Raz wprowadzone hasło jest ważne przez 10 minut. Każde kolejne wykonanie funkcji chronionej hasłem powoduje rozpoczęcie odliczania czasu od początku.

Hasło może mieć postać zakodowaną zgodnie z regułami kodowania haseł w systemie asix. Jeśli wartością parametru Kodowanie_hasel jest „Tak" to hasło musi być zakodowane.

UWAGA:

Parametr Kodowanie_hasel podaje się w sekcji [HASLA] pliku inicjalizacyjnego i ma on znaczenie dla całego systemu asix.


5.7 Połączenia ze starszymi wersjami modułu sieciowego

Stacja pracująca pod kontrolą modułu sieciowego w wersji 5.00.000 lub późniejszej może łączyć .się ze starszymi wersjami modułu sieciowego tylko wtedy, gdy wartością parametru ASLINK4 jest „Tak". Możliwość ta wiąże się ze zwiększonym obciążeniem sieci w fazie nawiązywania połączenia. Wartością domyślną parametru Aslink4 jest „Tak", ale w przyszłych wersjach modułu sieciowego przewidziana jest zmiana wartości domyślnej.

UWAGA:

Uruchomienie modułu sieciowego w wersji mniejszej niż 5.00.000 na stacji, na której uprzednio pracował moduł nowszej wersji, musi wiązać się z ponownym uruchomieniem wszystkich zdalnych stacji na których pracują nowsze wersje modułu sieciowego (należy ponownie uruchomić aplikacje korzystające z modułu sieciowego ASLINK). Konieczność ponownego uruchomienia nie dotyczy stacji pracujących z modułem w starszej wersji.


5.9 Zestawienie parametrów modułu sieciowego ASLINK

Szczegółowe informacje na temat parametrów modułu ASLINK znajdują się w dokumentacji 'Asix - funkcjonalność i zasady działania'/ rozdziale 'ASLINK – moduł sieciowy'.

,,,,


5 Metody parametryzacji modułu sieciowego ASLINK

Moduł sieciowy może być sparametryzowany za pomocą okna parametryzacji modułu sieciowego ASLINK programu AslView oraz poprzez edycję pliku inicjalizacyjnego odczytywanego przez moduł sieciowy w chwili inicjalizacji.

WAŻNE: W pakiecie asix5 parametryzacja modułu sieciowego Aslink realizowana jest przy użyciu modułu Architekt – interaktywnego narzędzi do parametryzacji modułów systemu asix. Patrz: Architekt – podręcznik użytkownika, rozdz. Konfiguracja modułu sieci.


Podmenu Historia głównego menu okna klienta/serwera

Podmenu Historia składa się z następujących pozycji:

Włączona - zaznaczenie tej pozycji powoduje uruchomienie cyklicznego odczytu danych o przeszłych połączeniach i odpowiednią aktualizację okna historii połączeń klienta/serwera;

Wyłączona - zaznaczenie tej pozycji powoduje zatrzymanie cyklicznego odczytu danych o przeszłych połączeniach;

Odczyt - wybranie tej komendy powoduje jednorazowy odczyt nowych zapisów w historii połączeń klienta/serwera i odpowiednią aktualizację okna historii połączeń klienta/serwera.


Podmenu Plik głównego menu okna klienta/serwera

Podmenu Plik składa się obecnie tylko z komendy Zamknij, powodującej zamknięcie okna klienta/serwera.


Podmenu Ustawienia głównego menu okna stacji

Podmenu Ustawienia jest składnikiem głównego menu okna stacji i składa się z następujących pozycji:

Format czasu... – otwiera okno zmiany formatu czasu; format czasu dotyczy informacji wyświetlanej w oknie komunikatów;

Moduł sieciowy ... – otwiera okno parametryzacji modułu sieciowego ASLINK;

Konfiguracja – otwiera okno konfiguracji programu AslView.


znacznik połączenia programu AslView z modułem sieciowym ASLINK

Znacznik ma postać koła w kolorze zielonym lub czerwonym. Jeśli znacznik ma kolor zielony, to jest nawiązane połączenie z modułem sieciowym i jest możliwy odczyt danych ze stacji. Znacznik zmienia kolor na czerwony, gdy moduł sieciowy zakończy działanie, lub gdy nastąpi zerwanie połączenia sieciowego ze zdalną stacją sieciową, do której był przyłączony program AslView. Kolor czerwony oznacza, że informacje wyświetlane w oknie, na którym znajduje się znacznik, nie są juz aktualne.